org.apache.struts2.tiles

## Class StrutsTilesInitializer

- java.lang.Object
- - org.apache.tiles.core.startup.AbstractTilesInitializer
  - - org.apache.struts2.tiles.StrutsTilesInitializer

- All Implemented Interfaces:
    TilesInitializer

      public class StrutsTilesInitializer
      extends AbstractTilesInitializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsTilesInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractTilesContainerFactory` | `createContainerFactory(ApplicationContext context)` Creates a Tiles container factory.
    `protected ApplicationContext` | `createTilesApplicationContext(ApplicationContext preliminaryContext)` Creates the Tiles application context, to be used across all the Tiles-based application.

    - ### Methods inherited from class org.apache.tiles.core.startup.AbstractTilesInitializer

      `createContainer, destroy, getContainerKey, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsTilesInitializer

          public StrutsTilesInitializer()

  - ### Method Detail

    - #### createTilesApplicationContext

          protected ApplicationContext createTilesApplicationContext(ApplicationContext preliminaryContext)

      Description copied from class: `AbstractTilesInitializer`
      Creates the Tiles application context, to be used across all the Tiles-based application. If you override this class, please override this method.
      This implementation returns the preliminary context passed as a parameter
      Overrides:
        `createTilesApplicationContext` in class `AbstractTilesInitializer`
      Parameters:
        `preliminaryContext` - The preliminary application context to use.
      Returns:
        The Tiles application context.

    - #### createContainerFactory

          protected AbstractTilesContainerFactory createContainerFactory(ApplicationContext context)

      Description copied from class: `AbstractTilesInitializer`
      Creates a Tiles container factory. If you override this class, please override this method or `AbstractTilesInitializer.createContainer(ApplicationContext)`.
      Specified by:
        `createContainerFactory` in class `AbstractTilesInitializer`
      Parameters:
        `context` - The servlet context to use.
      Returns:
        The created container factory.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.